SAP Knowledge Base Article - Preview

2652634 - "this version of the Java Runtime only recognizes class file versions up to 50.0" would occurr after HANA client is upgraded to 2.3.78.1521836270 (HANA 2.0 SPS03)

Symptom

Netweaaver Java system cannot be started. JdbcCon.log contains following informaiton:

java.lang.UnsupportedClassVersionError: com/sap/db/jdbc/Driver has been compiled by a more recent version of the Java Runtime (class file version 51.0), this version of the Java Runtime only recognizes class file versions up to 50.0

Read more...

Environment

  • Netweaver Java which uses JVM 6
  • HANA Client 2.3.78.1521836270 (HANA 2.0 SPS03)

Product

SAP HANA, platform edition 2.0 ; SAP NetWeaver Application Server for Java 7.2

Keywords

competability, jdbc , KBA , HAN-DB-CLI , SAP HANA Clients (JDBC, ODBC) , How To

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.